//
//  TSConfig.swift
//  TSLiveWallpaper
//
//  Created by 100Years on 2024/12/20.
//

public let TSConfigShared = TSConfig.shared
open class TSConfig: NSObject {
    static var shared = TSConfig()
    
    static let appLanguage: String = {
        let systemLanguages = UserDefaults.standard.value(forKey: "AppleLanguages")
        var currentLanguage: String?
        if let arr = systemLanguages as? [String] {
            currentLanguage = arr.first
        }
        else if let str = systemLanguages as? String {
            currentLanguage = str
        }
        return currentLanguage ?? ""
    }()
    
    static let appLanguageShort: String? = {
        let currentLanguage = Bundle.main.preferredLocalizations.first
        if let str = currentLanguage?.components(separatedBy: "-").first,
           str.count >= 2 {
            return str
        }
        return nil
    }()
    
    static let isLanguageZh: Bool = {
        if appLanguage.lowercased().hasPrefix("zh") {
            return true
        }
        return false
    }()
    
    static let isLanguageJa: Bool = {
        if appLanguage.lowercased().hasPrefix("ja") {
            return true
        }
        return false
    }()
    
    static var languageSuffix: String {
        if appLanguage.lowercased().hasPrefix("zh") {
            return "-zh"
        }
        return ""
    }
    
    static var isChinaRegion: Bool {
#if DEBUG
        return true
#endif
        let localeId = Locale.current.identifier
        return localeId.contains("_CN")
    }
    
    static let ligntSolidDefaultColor:UIColor = "#FAC0D6".uiColor
    
    var appid = "6740220736"

}
